Check out our Monthly Survey Page to see what our users are running.
Ubuntu focal 32 bit Steam doomsday
The_Aquabat 5 days ago

so some proton games are not running for me (access violation crash) because I'm quite sure of 32bits libs missing on my system. When I try to run Wine version of steam I get this error.

QuoteAssertion Failed: ClientAPI_InitGlobalInstance: InternalAPI_Init_Internal failed, most likely because you are missing a 32-bit dependency of steamclient.dll (the Steam client is a 32-bit app).

here's ldd info that might be relevant... can't find those missing packages.
ldd ~/.local/share/Steam/ubuntu12_32/steamclient.so                                      linux-gate.so.1 (0xf7f8f000)
        libgtk3-nocsd.so.0 => /usr/lib/i386-linux-gnu/libgtk3-nocsd.so.0 (0xf662f000)
        libtier0_s.so => not found
        libvstdlib_s.so => not found
        librt.so.1 => /lib/i386-linux-gnu/librt.so.1 (0xf6624000)
        libXrandr.so.2 => /usr/lib/i386-linux-gnu/libXrandr.so.2 (0xf6615000)
        libXext.so.6 => /usr/lib/i386-linux-gnu/libXext.so.6 (0xf65fe000)
        libXi.so.6 => /usr/lib/i386-linux-gnu/libXi.so.6 (0xf65e9000)
        libGL.so.1 => /usr/lib/i386-linux-gnu/libGL.so.1 (0xf657c000)
        libX11.so.6 => /usr/lib/i386-linux-gnu/libX11.so.6 (0xf642d000)
        libXtst.so.6 => /usr/lib/i386-linux-gnu/libXtst.so.6 (0xf6425000)
        libusb-1.0.so.0 => /lib/i386-linux-gnu/libusb-1.0.so.0 (0xf6405000)
        libopenal.so.1 => /usr/lib/i386-linux-gnu/libopenal.so.1 (0xf630f000)
        libpulse.so.0 => /usr/lib/i386-linux-gnu/libpulse.so.0 (0xf62b1000)
        libgobject-2.0.so.0 => /usr/lib/i386-linux-gnu/libgobject-2.0.so.0 (0xf6241000)
        libglib-2.0.so.0 => /usr/lib/i386-linux-gnu/libglib-2.0.so.0 (0xf60ff000)
        libdbus-glib-1.so.2 => /usr/lib/i386-linux-gnu/libdbus-glib-1.so.2 (0xf60d1000)
        libnm-glib.so.4 => not found
        libnm-util.so.2 => not found
        libudev.so.0 => not found
        libgio-2.0.so.0 => /usr/lib/i386-linux-gnu/libgio-2.0.so.0 (0xf5ea6000)
        libdl.so.2 => /lib/i386-linux-gnu/libdl.so.2 (0xf5e9e000)
        libstdc++.so.6 => /usr/lib/i386-linux-gnu/libstdc++.so.6 (0xf5cc0000)
        libpthread.so.0 => /lib/i386-linux-gnu/libpthread.so.0 (0xf5c9d000)
        /lib/ld-linux.so.2 (0xf7f91000)
        libm.so.6 => /lib/i386-linux-gnu/libm.so.6 (0xf5b98000)
        libc.so.6 => /lib/i386-linux-gnu/libc.so.6 (0xf59aa000)
        libXrender.so.1 => /usr/lib/i386-linux-gnu/libXrender.so.1 (0xf599e000)
        libGLdispatch.so.0 => /usr/lib/i386-linux-gnu/libGLdispatch.so.0 (0xf5921000)
        libGLX.so.0 => /usr/lib/i386-linux-gnu/libGLX.so.0 (0xf58e5000)
        libxcb.so.1 => /usr/lib/i386-linux-gnu/libxcb.so.1 (0xf58b6000)
        libudev.so.1 => /lib/i386-linux-gnu/libudev.so.1 (0xf5889000)
        libsndio.so.7.0 => /usr/lib/i386-linux-gnu/libsndio.so.7.0 (0xf5874000)
        libpulsecommon-13.99.so => /usr/lib/i386-linux-gnu/pulseaudio/libpulsecommon-13.99.so (0xf57e6000)
        libdbus-1.so.3 => /lib/i386-linux-gnu/libdbus-1.so.3 (0xf5788000)
        libffi.so.7 => /usr/lib/i386-linux-gnu/libffi.so.7 (0xf577e000)
        libpcre.so.3 => /lib/i386-linux-gnu/libpcre.so.3 (0xf5707000)
        libgmodule-2.0.so.0 => /usr/lib/i386-linux-gnu/libgmodule-2.0.so.0 (0xf5701000)
        libz.so.1 => /lib/i386-linux-gnu/libz.so.1 (0xf56e3000)
        libmount.so.1 => /lib/i386-linux-gnu/libmount.so.1 (0xf5675000)
        libselinux.so.1 => /lib/i386-linux-gnu/libselinux.so.1 (0xf5647000)
        libresolv.so.2 => /lib/i386-linux-gnu/libresolv.so.2 (0xf562e000)
        libgcc_s.so.1 => /lib/i386-linux-gnu/libgcc_s.so.1 (0xf560d000)
        libXau.so.6 => /usr/lib/i386-linux-gnu/libXau.so.6 (0xf5607000)
        libXdmcp.so.6 => /usr/lib/i386-linux-gnu/libXdmcp.so.6 (0xf55ff000)
        libasound.so.2 => /usr/lib/i386-linux-gnu/libasound.so.2 (0xf54ee000)
        libbsd.so.0 => /usr/lib/i386-linux-gnu/libbsd.so.0 (0xf54cf000)
        libsystemd.so.0 => /lib/i386-linux-gnu/libsystemd.so.0 (0xf5414000)
        libwrap.so.0 => /usr/lib/i386-linux-gnu/libwrap.so.0 (0xf5408000)
        libsndfile.so.1 => /usr/lib/i386-linux-gnu/libsndfile.so.1 (0xf5376000)
        libasyncns.so.0 => /usr/lib/i386-linux-gnu/libasyncns.so.0 (0xf536f000)
        libblkid.so.1 => /lib/i386-linux-gnu/libblkid.so.1 (0xf530f000)
        libpcre2-8.so.0 => /usr/lib/i386-linux-gnu/libpcre2-8.so.0 (0xf5276000)
        liblzma.so.5 => /lib/i386-linux-gnu/liblzma.so.5 (0xf524a000)
        liblz4.so.1 => /usr/lib/i386-linux-gnu/liblz4.so.1 (0xf5227000)
        libgcrypt.so.20 => /usr/lib/i386-linux-gnu/libgcrypt.so.20 (0xf5144000)
        libnsl.so.1 => /lib/i386-linux-gnu/libnsl.so.1 (0xf5127000)
        libFLAC.so.8 => /usr/lib/i386-linux-gnu/libFLAC.so.8 (0xf50ec000)
        libogg.so.0 => /usr/lib/i386-linux-gnu/libogg.so.0 (0xf50e0000)
        libvorbis.so.0 => /usr/lib/i386-linux-gnu/libvorbis.so.0 (0xf50b3000)
        libvorbisenc.so.2 => /usr/lib/i386-linux-gnu/libvorbisenc.so.2 (0xf5026000)
        libgpg-error.so.0 => /lib/i386-linux-gnu/libgpg-error.so.0 (0xf5000000)


Last edited by The_Aquabat on 31 July 2020 at 2:07 pm UTC

The_Aquabat 5 days ago

as expected with Flatpak the game runs fine, so it is a dependency problem, not sure if I should report this, maybe I messed up my system dependencies. The game is Dirt Rally 2.0, all other games I tried run fine.

The_Aquabat 4 days ago

I ended up removing all i386 libraries like this

sudo apt-get purge ".*:i386"

then removing the steam folder in ~/.steam and ~/.local/share and then reinstalling steam!
Now it works

While you're here, please consider supporting GamingOnLinux on:

Patreon, Liberapay or PayPal Donation.

We have no adverts, no paywalls, no timed exclusive articles. Just good, fresh content. Without your continued support, we simply could not continue!

You can find even more ways to support us on this dedicated page any time. If you already are, thank you!

You need to Register and Login to comment, submit articles and more.


Or login with...